summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2022-07-17 19:05:37 -0400
committerDavid P <megver83@parabola.nu>2022-07-17 19:05:37 -0400
commite0d7c1febf84dd2a7e647b0eba6b6112214724b5 (patch)
treee6d652bfd8cb8b7b3ea88dab2b4b932443bc9e70
parentb9e353f2461a5898ed4984372022734ff2558668 (diff)
addpkg: nonsystemd/acpid-openrc 20210506-1
Signed-off-by: David P <megver83@parabola.nu>
-rw-r--r--nonsystemd/acpid-openrc/PKGBUILD26
-rw-r--r--nonsystemd/acpid-openrc/acpid.confd6
-rw-r--r--nonsystemd/acpid-openrc/acpid.initd22
3 files changed, 54 insertions, 0 deletions
diff --git a/nonsystemd/acpid-openrc/PKGBUILD b/nonsystemd/acpid-openrc/PKGBUILD
new file mode 100644
index 000000000..68f22935b
--- /dev/null
+++ b/nonsystemd/acpid-openrc/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Rafli Akmal <rafliakmaltejakusuma@gmail.com>
+# Contributor: artoo <artoo@artixlinux.org>
+# Contributor: Oscar Campos <damnwidget@artixlinux.org>
+
+
+pkgname=acpid-openrc
+pkgver=20210506
+pkgrel=1
+pkgdesc="OpenRC acpid init script"
+arch=('any')
+url="https://gitea.artixlinux.org/artixlinux/packages-openrc"
+license=('GPL2')
+groups=('openrc-galaxy')
+provides=('init-acpid')
+depends=('openrc' 'acpid')
+conflicts=('init-acpid')
+backup=('etc/conf.d/acpid')
+source=("acpid.confd"
+ "acpid.initd")
+sha256sums=('3755d4eb8bb64a1304e5defedb949305ac550565da36fe4f94d5f31beee821ba'
+ 'c784a8b8ceceb3a453808a860a8dd9e0f8847f96cc82a7cc8410bc682aaadb06')
+
+package() {
+ install -Dm755 "$srcdir/acpid.initd" "$pkgdir/etc/init.d/acpid"
+ install -Dm644 "$srcdir/acpid.confd" "$pkgdir/etc/conf.d/acpid"
+}
diff --git a/nonsystemd/acpid-openrc/acpid.confd b/nonsystemd/acpid-openrc/acpid.confd
new file mode 100644
index 000000000..9aadb4cd8
--- /dev/null
+++ b/nonsystemd/acpid-openrc/acpid.confd
@@ -0,0 +1,6 @@
+# /etc/conf.d/acpid: config file for /etc/init.d/acpid
+
+# Options to pass to the acpid daemon.
+# See the acpid(8) man page for more info.
+
+ACPID_ARGS=""
diff --git a/nonsystemd/acpid-openrc/acpid.initd b/nonsystemd/acpid-openrc/acpid.initd
new file mode 100644
index 000000000..98e36a2ff
--- /dev/null
+++ b/nonsystemd/acpid-openrc/acpid.initd
@@ -0,0 +1,22 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/bin/acpid"
+command_args="${ACPID_ARGS}"
+description="Daemon for Advanced Configuration and Power Interface"
+supervisor="supervise-daemon"
+command_args_foreground="--foreground"
+#pidfile="/run/acpid.pid"
+
+depend() {
+ need localmount
+ use logger
+}
+
+reload() {
+ ebegin "Reloading acpid configuration"
+ ${supervisor} ${RC_SVCNAME} --signal HUP --pidfile /run/acpid.pid
+ eend $?
+}